<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets"
>
<p:panel id="mainBodyOverview" style="#{ideaInputBean.styleModalOverview}">
	<div id="ideaInputOverviewModal" class="w3-modal">
		<h:form id="ideaInputOverviewForm" enctype="multipart/form-data">
							<h:inputHidden id="ideasId" value="#{ideaInputBean.currentIdeasId}" />
							<h:inputHidden id="lat" value="#{ideaInputBean.lat}" />
							<h:inputHidden id="lng" value="#{ideaInputBean.lng}" />
			<div class="w3-modal-content w3-animate-opacity">
				<header class="w3-container w3-blue">
					<h2 id="ideaInputModalHeadline">Ein neues Projekt einreichen</h2>
					<div class="modal-menu-header">
						 <div class="not-selected">Kurzbeschreibung</div>
						 <div class="not-selected">Bilder</div>
						 <div class="not-selected">Lösungspräsentation</div>
						 <div class="selected">Eingaben prüfen</div>
					</div>
				</header>
				<div class="w3-container w3-padding-small">
					<div class="w3-col m4 l3">
						<p>Sie haben es fast geschafft. In der folgenden Übersicht bitten wir Sie, nochmals alle Angaben zu prüfen und gegebenenfalls zu korrigieren.
						Wenn Sie zufrieden sind, können Sie Ihr Projekt einreichen. </p>
					</div>
					<div class="w3-col m8 l9">
						<!-- Title Input -->
						<p style="padding-bottom: 5px">
							<label for="ideaTitleInput">Wie lautet der Name des Projekts?</label>
							<p:inputText id="ideaTitleInput" class="w3-input" type="text" required="true" validatorMessage="Länge des Titels muss zwischen fünf und 50 Zeichen liegen." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.title}" >
										    <f:validateLength minimum="5" maximum="50"/>
		            	    				<p:ajax update="valTitelInputStepOne" event="keyup"/>
							</p:inputText>
							<p:message for="ideaTitleInput" id="valTitelInputStepOne"/>
						</p>
						<p>&#160;</p>
						<!-- Goal Input -->
						<p style="padding-bottom: 5px">
							<label for="ideaGoalInput">Was ist das Ziel des Projekts?</label>
							<p:inputTextarea rows="3" cols="33"  id="ideaGoalInput" class="w3-input" type="text" required="true" validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.goal}" >
										 <f:validateLength minimum="15" maximum="4000"/>
		            	    			<p:ajax update="valGoalInputStepOne" event="keyup"/>
							</p:inputTextarea>
							<p:message for="ideaGoalInput" id="valGoalInputStepOne"/>
						</p>
	
						<!-- Importance Input -->
						<p style="padding-bottom: 5px">
							<label for="ideaImportanceInput">Warum ist das Projekt wichtig?</label>
							<p:inputTextarea rows="3" cols="33"  id="ideaImportanceInput" class="w3-input" type="text" required="true" validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.importance}" >
											<f:validateLength minimum="15" maximum="4000"/>
		            	    				<p:ajax update="valImportanceInputStepOne" event="keyup"/>
							</p:inputTextarea>
							<p:message for="ideaImportanceInput" id="valImportanceInputStepOne"/>
						</p>
	
						<!-- Target Audience Input -->
						<p style="padding-bottom: 5px">
							<label for="ideaAudienceInput">Für wen ist das Projekt wichtig?</label>
							<p:inputTextarea rows="3" cols="33"  id="ideaAudienceInput" class="w3-input" type="text" required="true" validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.targetAudience}" >
									<f:validateLength minimum="15" maximum="4000"/>
		            	    				<p:ajax update="valAudienceInputStepOne" event="keyup"/>
							</p:inputTextarea >
							<p:message for="ideaAudienceInput" id="valAudienceInputStepOne"/>	
						</p>
						
						<!-- Solution Input -->
						<p style="padding-bottom: 5px">
							<label for="ideaSolutionInput">Wie sieht die Umsetzung des Projekts aus?</label>
							<p:inputTextarea rows="3" cols="33" id="ideaSolutionInput" class="w3-input" type="text" required="true" validatorMessage="Die Länge des Texts muss zwischen 15 und 4000 Zeichen liegen." requiredMessage="Dieses Feld wird benötigt um fortzufahren."
									style="width:99%;" value="#{ideaInputBean.solution}" >
											<f:validateLength minimum="15" maximum="4000"/>
		            	    				<p:ajax update="valSolutionInputStepOne " event="keyup"/>
							</p:inputTextarea>
							<p:message for="ideaSolutionInput" id="valSolutionInputStepOne"/>
						</p>
					</div>
					<p>&#160;</p>
					<div class="w3-col m4 l3">
						<p>Fügen Sie Ihrem Projekt Schlagwörter hinzu. Bestätigen Sie jedes Schlagwort durch Klick auf das darunter erscheinende Feld.</p>
					</div>
					<div class="w3-col m8 l9">
	
						<!-- Tags Input -->
						<p>
							<p:outputLabel value="Welche Schlagworte sind mit Deinem Projekt verbunden?" for="ideaTagInput" />
							<p:autoComplete id="ideaTagInput"
								maxResults="5"
					        	multiple="true"
					        	value="#{ideaInputBean.selectedTags}"
					        	completeMethod="#{autoCompBean.completeText}"
					        	forceSelection="true">
					            <p:ajax event="itemSelect" listener="#{autoCompBean.onItemSelect}"/>
					       	 </p:autoComplete>
				       	</p>
					</div>
					<p>&#160;</p>
					<p>&#160;</p>
					<div class="w3-col m4 l3">
						<p> Klicken Sie auf die Karte, um das Projekt zu verorten. </p>
					</div>
					<div class="w3-col m8 l9">
							<label>Wo findet Ihr Projekt statt?</label>
							<p>&#160;</p>
						<div id="finalMap"></div>
							<script>

									// Hessen configuration
									var finalMap = L.map('finalMap').setView(
											[ 50.7, 9.1 ], 8);
									finalMap.options.minZoom = 8;
									finalMap.options.maxZoom = 16;
									//----------------------

								    /* // Kassel configuration
									var finalMap  = L.map('finalMap').setView([51.312066, 9.492901], 12);
									finalMap.options.minZoom = 12;
									finalMap.options.maxZoom = 16;
									var southWest = L.latLng(51.18994825699286, 9.743328094482424),
									northEast = L.latLng(51.455778558471586, 9.244995117187502);
									var bounds = L.latLngBounds(southWest, northEast);
									finalMap.setMaxBounds(bounds);
									finalMap.on('drag', function() {
										finalMap.panInsideBounds(bounds, { animate: false });
									});
									//---------------------- */

									var finalRedIcon = L.icon({
											//iconUrl: 'https://www.weckdenherkulesindir.de/documents/20142/32730/marker-icon.png/f9a304c8-716b-9684-b7d4-a31318ba5e50?t=1544108384492',
											//shadowUrl: 'https://www.weckdenherkulesindir.de/documents/20142/32730/marker-shadow.png/20ac54bb-8339-1fea-659a-e473c5a18bb5?t=1544108384613',

										// Local instance
			                            iconUrl: '/documents/20142/31473/marker-icon.png',
                                        shadowUrl: '/documents/20142/31473/marker-shadow.png',
                                        //----------------------*/

										/*// Server instance
										iconUrl: '/documents/20142/32730/marker-icon.png',
										shadowUrl: '/documents/20142/32730/marker-shadow.png',
										//----------------------*/

											iconSize:      [25, 41], // size of the icon
											iconAnchor:    [12, 41], // point of the icon which will correspond to marker's location
											popupAnchor:   [0, -34], // point from which the popup should open relative to the iconAnchor
											tooltipAnchor: [16, -20],
											
											shadowSize:    [41, 41], // size of the shadow
											shadowAnchor:  [14, 41]  // the same for the shadow
										});

									// Hessen configuration
									L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
										attribution: 'Copyright OpenStreetMap'
									}).addTo(finalMap);
									//----------------------

									/* // Kassel configuration
                                        var wmsUrl = 'https://geoportal.kassel.de/arcgis/services/Service_Raster/Geoportal_WebMaps_WGS84/MapServer/WMSServer?';
                                        L.tileLayer.wms(wmsUrl,{
                                            layers:'1:9.028,1:18.056,1:36.112,1:72.224,1:144.448'
                                        }).addTo(finalMap);
                                        //---------------------- */
	
									var searchControlFinal = L.esri.Geocoding.geosearch().addTo(finalMap);
									
									var adressMarkerFinal;
							        var resultsFinal = L.layerGroup().addTo(finalMap);
							        searchControlFinal.on('results', function(data) {
							            resultsFinal.clearLayers();
							            for (var i = data.results.length - 1; i >= 0; i--) {
							                resultsFinal.addLayer(adressMarkerFinal = L.circleMarker(data.results[i].latlng));
											adressMarkerFinal.on('click', function(){resultsFinal.clearLayers();})
							            }
							        });
	
									finalMap.on('click', addMarkerFinal);
	
										function addMarkerFinal(e) {
											finalMap.removeLayer(allMarkers);
											allMarkers.clearLayers();
									        marker = new L.Marker(e.latlng, {icon: finalRedIcon, draggable:false});
									        allMarkers.addLayer(marker);
									        finalMap.addLayer(allMarkers);
											document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:lat").value = e.latlng.lat;
											document.getElementById("_JSFIdeaBoard_WAR_JSFIdeaBoard_:ideaInputOverviewForm:lng").value = e.latlng.lng;
										};
							 </script>
						<!-- LEAFLET JAVASCRIPT END -->
						</div>
						<!-- Pitch Input -->
						<div class="w3-col m4 l3" style="margin-top:10px; margin-bottom:10px;">
							<p>Fassen Sie das Projekt zusammen:</p>
						</div>
						<div class="w3-col m8 l9" style="margin-top:10px; margin-bottom:10px;">
							<p:inputTextarea rows="6" cols="33"  id="ideaPitchInput" class="w3-input" type="text"
								style="width:99%;" value="#{ideaInputBean.pitch}">
							</p:inputTextarea>
						</div>		
						<div class="overview-row">
							<ui:fragment id="previewFragmentPic" rendered="#{ideaInputBean.showPicsOverview()}">
					  			<div class="overview-column">
	
					    			<h3 style="margin-left:5px;">Bilder</h3>
									<p:graphicImage rendered="#{ideaInputBean.titleImgUrl1 != null}" style="width:100%;" url="#{ideaInputBean.titleImgUrl1}"/>	
									<ui:fragment rendered="#{ideaInputBean.titleImgUrl2 != null}">
										<p:graphicImage style="width:100%;" url="#{ideaInputBean.titleImgUrl2}"/>
									</ui:fragment>
									<ui:fragment rendered="#{ideaInputBean.titleImgUrl3 != null}">
										<p:graphicImage style="width:100%;" url="#{ideaInputBean.titleImgUrl3}"/>
									</ui:fragment>
					  			</div>
					  		</ui:fragment>
						  	<ui:fragment id="previewFragmentVideo" rendered="#{ideaInputBean.videoPreviewUrl != null}">
							  	<div class="overview-column">
							   		<h3 style="margin-left:5px;">Lösungspräsentation</h3>
									<video style="width:100%; height:250px;" controls="controls">
										<source src="#{ideaInputBean.videoPreviewUrl}"  type="video/mp4"> </source>
									</video>
							  	</div>
						  	</ui:fragment>
						</div>
	
						<div class="w3-col m4 l3">
					    	<p>Das Projekt soll unter folgendem Namen veröffentlicht werden:</p>
						</div>
						<div class="w3-col m8 l9">
							<p:selectOneMenu id="einreichenDropDown" value="#{ideaInputBean.selectedUserName}">
					             <f:selectItems value="#{ideaInputBean.possibleUsernames}" />
							</p:selectOneMenu>
							<br/><br/><br/>
						</div>
						
						<div class="w3-col m4 l3">
					    	<p>Bitte beachten Sie:</p>
						</div>
						<div class="w3-col m8 l9">
							<h:selectBooleanCheckbox id="privacyNoticeCheckbox" value="#{ideaInputBean.privacyNoticeCheckbox}">
			            	<f:ajax />
			            </h:selectBooleanCheckbox>
						<h:outputLabel for="privacyNoticeCheckbox">&#160;&#160;Ich habe die AGB und die Datenschutzerklärung gelesen und stimme diesen zu!</h:outputLabel>
				        <p:message id="privateNoticeCheckboxMsg" for="privacyNoticeCheckbox"/>
						</div>
					</div>
					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Einreichen" id="submitOverview" styleClass="ui-priority-primary"
							 style="float:right;" actionListener="#{ideaInputBean.ideaInputFinalSubmit}">
							</p:commandButton>

							<p:commandButton value="Speichern" id="saveOverview" styleClass="ui-priority-primary"
							 style="float:right;" actionListener="#{ideaInputBean.ideaInputFinalSave}">
							</p:commandButton>

							<p:commandButton value="Zurück" id="backToThree" actionListener="#{ideaInputBean.backToStepThree}"
							 onclick="document.getElementById('ideaInputStepOneModal').style.display='block'; document.getElementById('ideaInputOverviewModal').style.display='none';  document.getElementById('_JSFIdeaBoard_WAR_JSFIdeaBoard_:mainBodyOverview').style.display='none';
								finalMap.removeLayer(allMarkers);
								allMarkers.clearLayers();">
							</p:commandButton>
						</div>
					</footer>
				</div>	
			</h:form>
		</div>
		<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/cookie-bar/cookiebar-latest.min.js?"></script>
	</p:panel>
</f:view>